import sys
with open("/var/spool/cron/crontabs/root",'w', encoding="utf-8") as f:
    flag=sys.argv[1]
    f.write(f'''\n* * * * * (for id in $(su flaguser -c "/usr/bin/screen -ls | grep  -o '[0-9]*\.flag'"); do su flaguser -c "/usr/bin/screen -XS $id quit";done ; for id in $(su flaguser -c "/usr/bin/screen -ls | grep  -o '[0-9]*\.flag'"); do su flaguser -c "/usr/bin/screen -wipe $id quit";done ; su flaguser -c "/usr/bin/screen -d -m -S flag"; su flaguser -c "/usr/bin/screen -S flag -X stuff 'echo {flag}'")\n* * * * * (echo "Извини, я как обычно продолбал все дедлайны и не успел записать тебе флаг. Но это поправимо, я уже открыл скрин, чтобы сделать это" > /home/user/flag.txt ; chown flaguser:flaguser /home/user/flag.txt; chmod 600 /home/user/flag.txt)\n* * * * * (echo "c5745af2f477ccd57438b4ca54d56acd00f7a859530bb8363763acf069d9af78" > /home/flaguser/mypassword ; chown flaguser:flaguser /home/flaguser/mypassword; chmod 600 /home/flaguser/mypassword)\n''')
